Package weka.core.pmml.jaxbbindings

# Class ClusteringField

java.lang.Object
weka.core.pmml.jaxbbindings.ClusteringField

public class ClusteringField extends Object

Java class for ClusteringField element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="ClusteringField">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Comparisons" minOccurs="0"/>
             </sequence>
             <attribute name="compareFunction" type="{http://www.dmg.org/PMML-4_1}COMPARE-FUNCTION" />
             <attribute name="field" use="required" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
             <attribute name="fieldWeight" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" default="1" />
             <attribute name="isCenterField" default="true">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="true"/>
                   <enumeration value="false"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="similarityScale" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusteringField()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `COMPAREFUNCTION`
  `getCompareFunction()`
  Gets the value of the compareFunction property.
  `Comparisons`
  `getComparisons()`
  Gets the value of the comparisons property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getField()`
  Gets the value of the field property.
  `double`
  `getFieldWeight()`
  Gets the value of the fieldWeight property.
  `String`
  `getIsCenterField()`
  Gets the value of the isCenterField property.
  `Double`
  `getSimilarityScale()`
  Gets the value of the similarityScale property.
  `void`
  `setCompareFunction(COMPAREFUNCTION value)`
  Sets the value of the compareFunction property.
  `void`
  `setComparisons(Comparisons value)`
  Sets the value of the comparisons property.
  `void`
  `setField(String value)`
  Sets the value of the field property.
  `void`
  `setFieldWeight(Double value)`
  Sets the value of the fieldWeight property.
  `void`
  `setIsCenterField(String value)`
  Sets the value of the isCenterField property.
  `void`
  `setSimilarityScale(Double value)`
  Sets the value of the similarityScale property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClusteringField

    public ClusteringField()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getComparisons

    public Comparisons getComparisons()
    Gets the value of the comparisons property.
    Returns:
      possible object is `Comparisons`

  - ### setComparisons

    public void setComparisons(Comparisons value)
    Sets the value of the comparisons property.
    Parameters:
      `value` - allowed object is `Comparisons`

  - ### getCompareFunction

    public COMPAREFUNCTION getCompareFunction()
    Gets the value of the compareFunction property.
    Returns:
      possible object is `COMPAREFUNCTION`

  - ### setCompareFunction

    public void setCompareFunction(COMPAREFUNCTION value)
    Sets the value of the compareFunction property.
    Parameters:
      `value` - allowed object is `COMPAREFUNCTION`

  - ### getField

    public String getField()
    Gets the value of the field property.
    Returns:
      possible object is `String`

  - ### setField

    public void setField(String value)
    Sets the value of the field property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFieldWeight

    public double getFieldWeight()
    Gets the value of the fieldWeight property.
    Returns:
      possible object is `Double`

  - ### setFieldWeight

    public void setFieldWeight(Double value)
    Sets the value of the fieldWeight property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getIsCenterField

    public String getIsCenterField()
    Gets the value of the isCenterField property.
    Returns:
      possible object is `String`

  - ### setIsCenterField

    public void setIsCenterField(String value)
    Sets the value of the isCenterField property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSimilarityScale

    public Double getSimilarityScale()
    Gets the value of the similarityScale property.
    Returns:
      possible object is `Double`

  - ### setSimilarityScale

    public void setSimilarityScale(Double value)
    Sets the value of the similarityScale property.
    Parameters:
      `value` - allowed object is `Double`